Contacts
/contacts
Create contact
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
dryRun?boolean
Request Body
application/json
address?|null
type*string
Value in
"owner" | "vendor"email?string|null
firstName?string|null
name?string|null
phone?string|null
connectionId?string|null
companyType?string|null
taxIdentifier?string|null
sourceId?string|null
uniqueRef?string|null
status?string|null
payoutAccountId?string|null
invite?boolean|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.vrplatform.app/contacts" \ -H "Content-Type: application/json" \ -d '{ "type": "owner" }'{
"address": {
"full": "string",
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"stateCode": "string",
"countryCode": "string"
},
"type": "owner",
"email": "user@example.com",
"firstName": "string",
"name": "string",
"phone": "string",
"connectionId": "string",
"companyType": "c_corporation",
"taxIdentifier": "string",
"uniqueRef": "string",
"status": "active",
"payoutAccountId": "f16cca2a-0289-41e7-992d-7fd2e711757a",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"shortRef": "string",
"source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"status": "active",
"appId": "string",
"appIcon": "string"
},
"ownershipPeriods": [
{
"listingId": "string",
"split": 0,
"startAt": "string",
"endAt": "string"
}
],
"activeOwnerships": [
{
"listingId": "string",
"split": 0,
"startAt": "string",
"endAt": "string"
}
]
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}